# org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject Class Reference

Inheritance diagram for org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject:

List of all members.

## Public Types
enum | LocationEnum { UpperLeft, UpperCenter, UpperRight, CenterLeft, Center, CenterRight, LowerLeft, LowerCenter, LowerRight }
enum | OffscreenBehaviorEnum { None, Adapt, NonViable }
enum | RelatedWindowEnum { Document, Application, Desktop, Custom }
enum | ResizeBehaviorEnum { None, AspectRatioLocked, Free }
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
| FloatingWindowParametersObject (drawing::Size size)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
bool | Closeable`[get, set]`
| Gets/Sets whether the floating window should include user interface elements that allow a user to close it.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
LocationEnum | Location`[get, set]`
| Gets/Sets the location where the floating window should be positioned relative to the related window.
OffscreenBehaviorEnum | OffscreenBehavior`[get, set]`
| Gets/Sets what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).
RelatedWindowEnum | RelatedWindow`[get, set]`
| Gets/Sets the window relative to which the floating window should be positioned.
ResizeBehaviorEnum | ResizeBehavior`[get, set]`
| Gets/Sets how the floating window may be resized by a user.
drawing::Size | Size`[get, set]`
| Gets/Sets the floating window's width and height, in pixels.
bool | TitleBarVisible`[get, set]`
| Gets/Sets whether the floating window should have a title bar.

## Member Enumeration Documentation

enum org::pdfclown::documents::multimedia::MediaScreenParameters::Viability::FloatingWindowParametersObject::LocationEnum

Enumerator:

  UpperLeft | Upper-left corner.
  UpperCenter | Upper center.
  UpperRight | Upper-right corner.
  CenterLeft | Center left.
  Center | Center.
  CenterRight | Center right.
  LowerLeft | Lower-left corner.
  LowerCenter | Lower center.
  LowerRight | Lower-right corner.

enum org::pdfclown::documents::multimedia::MediaScreenParameters::Viability::FloatingWindowParametersObject::OffscreenBehaviorEnum

Enumerator:

  None | Take no special action.
  Adapt | Move and/or resize the window so that it is on-screen.
  NonViable | Consider the object to be non-viable.

enum org::pdfclown::documents::multimedia::MediaScreenParameters::Viability::FloatingWindowParametersObject::RelatedWindowEnum

Enumerator:

  Document | The document window.
  Application | The application window.
  Desktop | The full virtual desktop.
  Custom | The monitor specified by MediaScreenParameters.Viability.MonitorSpecifier.

enum org::pdfclown::documents::multimedia::MediaScreenParameters::Viability::FloatingWindowParametersObject::ResizeBehaviorEnum

Enumerator:

  None | Not resizable.
  AspectRatioLocked | Resizable preserving its aspect ratio.
  Free | Resizable without preserving its aspect ratio.

## Constructor & Destructor Documentation

org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.FloatingWindowParametersObject | ( | drawing::Size | size | ) |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

bool org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.Closeable`[get, set]`

Gets/Sets whether the floating window should include user interface elements that allow a user to close it.

Meaningful only if TitleBarVisible is true.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

LocationEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.Location`[get, set]`

Gets/Sets the location where the floating window should be positioned relative to the related window.

OffscreenBehaviorEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.OffscreenBehavior`[get, set]`

Gets/Sets what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

RelatedWindowEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.RelatedWindow`[get, set]`

Gets/Sets the window relative to which the floating window should be positioned.

ResizeBehaviorEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.ResizeBehavior`[get, set]`

Gets/Sets how the floating window may be resized by a user.

drawing::Size org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.Size`[get, set]`

Gets/Sets the floating window's width and height, in pixels.

These values correspond to the dimensions of the rectangle in which the media will play, not including such items as title bar and resizing handles.

bool org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParametersObject.TitleBarVisible`[get, set]`

Gets/Sets whether the floating window should have a title bar.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.